Index: /trunk/gsdl/src/colservr/browsefilter.cpp
===================================================================
--- /trunk/gsdl/src/colservr/browsefilter.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/browsefilter.cpp	(revision 1285)
@@ -22,47 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.11  2000/06/29 22:02:23  sjboddie
-   Made BrowseFilters EndResults option take -1 (i.e. "all"). This is mostly
-   to be consistent with the QueryFilter
-
-   Revision 1.10  2000/02/29 01:35:56  sjboddie
-   tidied up endianness and fastcgi
-
-   Revision 1.9  1999/12/13 02:55:49  davidb
-   Support for docs/sections with more than one metavalue for a metadata name
-
-   Revision 1.8  1999/10/19 03:23:39  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.7  1999/09/07 04:57:20  sjboddie
-   added gpl notice
-
-   Revision 1.6  1999/08/31 22:33:21  rjmcnab
-   small update.
-
-   Revision 1.5  1999/07/16 03:42:23  sjboddie
-   changed isApprox
-
-   Revision 1.4  1999/05/10 03:43:47  sjboddie
-   lots of changes to lots of files - getting document action going
-
-   Revision 1.3  1999/04/30 02:00:45  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.2  1999/04/19 23:56:05  rjmcnab
-   Finished the gdbm metadata stuff
-
-   Revision 1.1  1999/04/06 22:22:08  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "browsefilter.h"
Index: /trunk/gsdl/src/colservr/browsefilter.h
===================================================================
--- /trunk/gsdl/src/colservr/browsefilter.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/browsefilter.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/collectserver.cpp
===================================================================
--- /trunk/gsdl/src/colservr/collectserver.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/collectserver.cpp	(revision 1285)
@@ -23,83 +23,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.21  2000/06/29 00:22:58  sjboddie
-   added new numsections field to collection info and made the statusaction
-   recognize it
-
-   Revision 1.20  1999/12/13 02:56:22  davidb
-   Support for cross-collection searching (CCS)
-
-   Revision 1.19  1999/12/05 21:28:10  sjboddie
-   added support for multiple gsdlhomes and gdbmhomes
-
-   Revision 1.18  1999/11/01 22:06:49  sjboddie
-   removed an assert - collections may at times be empty now
-
-   Revision 1.17  1999/10/19 03:23:39  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.16  1999/10/10 08:20:35  sjboddie
-   - metadata now returns map rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.15  1999/09/07 04:57:20  sjboddie
-   added gpl notice
-
-   Revision 1.14  1999/08/31 22:34:55  rjmcnab
-   Changes to get compiling on AIX.
-
-   Revision 1.13  1999/08/25 04:50:00  sjboddie
-   changed FilterRequest_t::docSet into an array
-
-   Revision 1.12  1999/08/20 01:05:41  sjboddie
-   fixed a bug (or created another one)
-
-   Revision 1.11  1999/08/03 03:32:53  sjboddie
-   added ability to set receptionist from configuration files
-
-   Revision 1.10  1999/07/08 03:58:44  sjboddie
-   format stuff
-
-   Revision 1.9  1999/06/16 02:00:34  sjboddie
-   Few changes to get getParent filter option to return metadata of
-   parents as well as current OID
-
-   Revision 1.8  1999/05/10 03:43:47  sjboddie
-   lots of changes to lots of files - getting document action going
-
-   Revision 1.7  1999/04/30 02:00:45  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.6  1999/04/06 22:20:29  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.5  1999/03/31 23:44:44  rjmcnab
-   Altered the protocol so that the metadata is part of the filter.
-
-   Revision 1.4  1999/03/09 20:58:50  rjmcnab
-   Added dummy filter and metadata results.
-
-   Revision 1.3  1999/03/08 05:07:42  rjmcnab
-   Made some alterations to fit with the changes to the comtypes. Added the
-   "filteroptdefault" configuration option to alter default filter options.
-
-   Revision 1.2  1999/03/03 23:28:29  sjboddie
-
-   Provided stub functions for the protocol
-
-   Revision 1.1  1999/02/21 22:32:56  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "collectserver.h"
@@ -377,3 +299,2 @@
   return (*here).second.c;
 }
-
Index: /trunk/gsdl/src/colservr/collectserver.h
===================================================================
--- /trunk/gsdl/src/colservr/collectserver.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/collectserver.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/colservrconfig.cpp
===================================================================
--- /trunk/gsdl/src/colservr/colservrconfig.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/colservrconfig.cpp	(revision 1285)
@@ -22,19 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.2  1999/09/07 04:57:20  sjboddie
-   added gpl notice
-
-   Revision 1.1  1999/02/21 22:32:55  rjmcnab
-
-   Initial revision.
-
- */
-
 
 #include "colservrconfig.h"
@@ -127,3 +113,2 @@
   return false;
 }
-
Index: /trunk/gsdl/src/colservr/colservrconfig.h
===================================================================
--- /trunk/gsdl/src/colservr/colservrconfig.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/colservrconfig.h	(revision 1285)
@@ -22,6 +22,4 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
 
Index: /trunk/gsdl/src/colservr/filter.cpp
===================================================================
--- /trunk/gsdl/src/colservr/filter.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/filter.cpp	(revision 1285)
@@ -22,39 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.9  1999/09/07 04:57:21  sjboddie
-   added gpl notice
-
-   Revision 1.8  1999/08/31 22:37:34  rjmcnab
-   A few changes to get compiling on AIX.
-
-   Revision 1.7  1999/08/25 04:49:33  sjboddie
-   changed FilterRequest_t::docSet into an array
-
-   Revision 1.6  1999/07/16 03:42:23  sjboddie
-   changed isApprox
-
-   Revision 1.5  1999/04/30 02:00:46  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.4  1999/04/12 03:45:02  rjmcnab
-   Finished the query filter.
-
-   Revision 1.3  1999/04/06 22:20:30  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.2  1999/03/31 23:44:46  rjmcnab
-   Altered the protocol so that the metadata is part of the filter.
-
-   Revision 1.1  1999/03/30 05:10:06  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "filter.h"
Index: /trunk/gsdl/src/colservr/filter.h
===================================================================
--- /trunk/gsdl/src/colservr/filter.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/filter.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/maptools.cpp
===================================================================
--- /trunk/gsdl/src/colservr/maptools.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/maptools.cpp	(revision 1285)
@@ -22,24 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.3  1999/09/07 04:57:22  sjboddie
-   added gpl notice
-
-   Revision 1.2  1999/08/31 22:39:28  rjmcnab
-   Changes for AIX.
-
-   Revision 1.1  1999/03/09 20:53:13  rjmcnab
-   Moved from src/recpt.
-
-   Revision 1.1  1999/03/08 19:45:53  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "maptools.h"
Index: /trunk/gsdl/src/colservr/maptools.h
===================================================================
--- /trunk/gsdl/src/colservr/maptools.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/maptools.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/mggdbmsource.cpp
===================================================================
--- /trunk/gsdl/src/colservr/mggdbmsource.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/mggdbmsource.cpp	(revision 1285)
@@ -22,80 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.20  2000/02/29 01:35:56  sjboddie
-   tidied up endianness and fastcgi
-
-   Revision 1.19  1999/12/06 01:14:57  sjboddie
-   fixed a couple of compiler warnings
-
-   Revision 1.18  1999/12/05 21:27:30  sjboddie
-   added support for multiple gsdlhomes and gdbmhome
-
-   Revision 1.17  1999/10/19 03:23:40  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.16  1999/10/10 08:20:36  sjboddie
-   - metadata now returns map rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.15  1999/09/07 04:57:22  sjboddie
-   added gpl notice
-
-   Revision 1.14  1999/08/31 22:40:44  rjmcnab
-   A couple of gdbm changes.
-
-   Revision 1.13  1999/08/13 04:20:27  sjboddie
-   added ability to get return all available metadata when 'fields' is empty
-
-   Revision 1.12  1999/07/07 06:17:47  rjmcnab
-   broke search_index into index+subcollection+language
-   within mgsearch
-
-   Revision 1.11  1999/07/01 03:49:54  rjmcnab
-   fixed a small warning.
-
-   Revision 1.10  1999/06/29 23:06:07  sjboddie
-   Fixed up default index for get_document
-
-   Revision 1.9  1999/06/16 02:00:34  sjboddie
-   Few changes to get getParent filter option to return metadata of
-   parents as well as current OID
-
-   Revision 1.8  1999/05/10 03:43:48  sjboddie
-   lots of changes to lots of files - getting document action going
-
-   Revision 1.7  1999/04/30 02:00:47  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.6  1999/04/21 22:40:44  sjboddie
-   made another change to the one I just committed. if requested metadata doesn't
-   exist it now puts an empty string in the response array so we don't always
-   have to test that a value exists before using it.
-
-   Revision 1.5  1999/04/21 05:23:46  sjboddie
-
-   changed the way metadata is returned
-
-   Revision 1.4  1999/04/19 23:56:07  rjmcnab
-   Finished the gdbm metadata stuff
-
-   Revision 1.3  1999/04/12 10:30:33  rjmcnab
-   Made a little more progress.
-
-   Revision 1.2  1999/04/12 05:21:51  rjmcnab
-   Started on a mg and gdbm source.
-
-   Revision 1.1  1999/04/12 03:40:40  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "mggdbmsource.h"
Index: /trunk/gsdl/src/colservr/mggdbmsource.h
===================================================================
--- /trunk/gsdl/src/colservr/mggdbmsource.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/mggdbmsource.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/mgq.c
===================================================================
--- /trunk/gsdl/src/colservr/mgq.c	(revision 1284)
+++ /trunk/gsdl/src/colservr/mgq.c	(revision 1285)
@@ -22,44 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.8  1999/09/09 04:12:22  sjboddie
-   added GPL header
-
-   Revision 1.7  1999/07/01 09:29:18  rjmcnab
-   Changes for better reporting of number documents which match a query. Changes
-   should still work as before with older versions of mg.
-
-   Revision 1.6  1999/07/01 03:52:05  rjmcnab
-   Added a function to get the equivalent terms of a query term. I also
-   fixed a small bug that was causing massive slowdown :-^
-
-   Revision 1.5  1999/06/30 04:04:11  rjmcnab
-   made stemming functions available from mgsearch and made the stems
-   for the query terms available in queryinfo
-
-   Revision 1.4  1999/06/28 08:56:29  rjmcnab
-   A bit of hacking to remove the restriction that the index to get
-   a document must be a level 2 index. Now both level 2 and level 3
-   indexes can be used to get the text of a document.
-
-   Revision 1.3  1999/01/19 01:38:16  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.2  1999/01/12 01:51:02  rjmcnab
-
-   Standard header.
-
-   Revision 1.1  1999/01/08 09:02:22  rjmcnab
-
-   Moved from src/library.
-
- */
-
 
 #include "mgq.h"
@@ -769,5 +730,2 @@
   make_current (-1);
 }
-
-
-
Index: /trunk/gsdl/src/colservr/mgq.h
===================================================================
--- /trunk/gsdl/src/colservr/mgq.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/mgq.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/mgsearch.cpp
===================================================================
--- /trunk/gsdl/src/colservr/mgsearch.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/mgsearch.cpp	(revision 1285)
@@ -22,95 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.23  2000/07/03 21:58:41  nzdl
-   removed mg directive that was causing meaningless warning messages
-   in errout.txt
-
-   Revision 1.22  1999/09/24 02:41:21  rjmcnab
-   change to use has_unicode_letdig in text_t
-
-   Revision 1.21  1999/09/21 21:41:41  sjboddie
-   fixed an error in what I committed last
-
-   Revision 1.20  1999/09/21 11:59:26  sjboddie
-   added Maxdocs queryfilter option (which may be -1 for 'all)
-
-   Revision 1.19  1999/09/07 22:52:52  rjmcnab
-   Seems to be an error in mg for retrieving documents using a paragraph
-   based index for some cases. Just added a work around (loads the default
-   index every time).
-
-   Revision 1.18  1999/09/07 04:57:22  sjboddie
-   added gpl notice
-
-   Revision 1.17  1999/08/31 22:42:41  rjmcnab
-   A couple of minor things.
-
-   Revision 1.16  1999/08/25 04:51:06  sjboddie
-   small change to allow for searching using boolean operators
-
-   Revision 1.15  1999/07/16 08:35:03  rjmcnab
-   Fixed a weird bug to do with a faulty case statement.
-
-   Revision 1.14  1999/07/16 03:42:22  sjboddie
-   changed isApprox
-
-   Revision 1.13  1999/07/16 00:12:46  sjboddie
-   removed all the old post-processing stuff
-
-   Revision 1.12  1999/07/07 06:17:47  rjmcnab
-   broke search_index into index+subcollection+language
-   within mgsearch
-
-   Revision 1.11  1999/07/05 21:06:43  rjmcnab
-   Disabled quoted strings.
-
-   Revision 1.10  1999/07/01 09:29:19  rjmcnab
-   Changes for better reporting of number documents which match a query. Changes
-   should still work as before with older versions of mg.
-
-   Revision 1.9  1999/07/01 03:54:48  rjmcnab
-   Added code to plug in the equivalent terms of each of the query terms.
-   Also added a function to get a raw utf8 encoded mg document (for speeding
-   up a phrase matching function)
-
-   Revision 1.8  1999/06/30 04:04:12  rjmcnab
-   made stemming functions available from mgsearch and made the stems
-   for the query terms available in queryinfo
-
-   Revision 1.7  1999/06/27 22:07:27  sjboddie
-   got rid of all the old functions for dealing with dir indexes
-
-   Revision 1.6  1999/06/09 00:41:32  sjboddie
-   phrase searching now uses case-folding if it's turned on
-
-   Revision 1.5  1999/02/21 22:31:35  rjmcnab
-
-   Removed locateinfo.
-
-   Revision 1.4  1999/02/03 01:13:27  sjboddie
-
-   Got interface to handle subcollections and language subcollections -
-   committed changes made to some of the collections
-
-   Revision 1.3  1999/01/19 01:38:17  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.2  1999/01/12 01:51:02  rjmcnab
-
-   Standard header.
-
-   Revision 1.1  1999/01/08 09:02:16  rjmcnab
-
-   Moved from src/library.
-
- */
-
 
 #include "gsdlconf.h"
@@ -602,3 +512,2 @@
   return (bool)databaseloaded;
 }
-
Index: /trunk/gsdl/src/colservr/mgsearch.h
===================================================================
--- /trunk/gsdl/src/colservr/mgsearch.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/mgsearch.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/phrasequeryfilter.cpp
===================================================================
--- /trunk/gsdl/src/colservr/phrasequeryfilter.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/phrasequeryfilter.cpp	(revision 1285)
@@ -22,25 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.4  1999/09/07 04:57:23  sjboddie
-   added gpl notice
-
-   Revision 1.3  1999/08/31 22:44:38  rjmcnab
-   Fixed small bug.
-
-   Revision 1.2  1999/07/07 06:19:45  rjmcnab
-   Added ability to combine two or more independant queries.
-
-   Revision 1.1  1999/07/01 04:01:47  rjmcnab
-   Initial revision.
-
-
- */
-
 
 #include "phrasequeryfilter.h"
Index: /trunk/gsdl/src/colservr/phrasequeryfilter.h
===================================================================
--- /trunk/gsdl/src/colservr/phrasequeryfilter.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/phrasequeryfilter.h	(revision 1285)
@@ -22,6 +22,4 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
 
Index: /trunk/gsdl/src/colservr/phrasesearch.cpp
===================================================================
--- /trunk/gsdl/src/colservr/phrasesearch.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/phrasesearch.cpp	(revision 1285)
@@ -22,30 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.6  1999/09/07 04:57:23  sjboddie
-   added gpl notice
-
-   Revision 1.5  1999/08/31 22:45:12  rjmcnab
-   fixed small problem
-
-   Revision 1.4  1999/07/16 00:15:48  sjboddie
-   changed to use termfreqclassarray type
-
-   Revision 1.3  1999/07/07 06:19:45  rjmcnab
-   Added ability to combine two or more independant queries.
-
-   Revision 1.2  1999/07/01 09:25:54  rjmcnab
-   fixed bug :-^
-
-   Revision 1.1  1999/07/01 04:01:46  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "phrasesearch.h"
Index: /trunk/gsdl/src/colservr/phrasesearch.h
===================================================================
--- /trunk/gsdl/src/colservr/phrasesearch.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/phrasesearch.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/querycache.cpp
===================================================================
--- /trunk/gsdl/src/colservr/querycache.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/querycache.cpp	(revision 1285)
@@ -22,27 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.4  1999/09/07 04:57:24  sjboddie
-   added gpl notice
-
-   Revision 1.3  1999/01/19 01:38:17  rjmcnab
-
-   Made the source more portable.
-
-   Revision 1.2  1999/01/12 01:51:02  rjmcnab
-
-   Standard header.
-
-   Revision 1.1  1999/01/08 09:02:18  rjmcnab
-
-   Moved from src/library.
-
- */
-
 
 #include "querycache.h"
@@ -125,3 +103,2 @@
   return minaccessi;
 }
-
Index: /trunk/gsdl/src/colservr/querycache.h
===================================================================
--- /trunk/gsdl/src/colservr/querycache.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/querycache.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/queryfilter.cpp
===================================================================
--- /trunk/gsdl/src/colservr/queryfilter.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/queryfilter.cpp	(revision 1285)
@@ -22,85 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.22  2000/02/29 01:35:56  sjboddie
-   tidied up endianness and fastcgi
-
-   Revision 1.21  1999/11/25 02:21:13  sjboddie
-   fixed bug in phrasematch stuff
-
-   Revision 1.20  1999/11/01 22:06:06  sjboddie
-   Added filter option to remove documents not matching a phrase match.
-   This used to be done in the receptionist.
-
-   Revision 1.19  1999/10/19 03:23:40  davidb
-   Collection building support through web pages
-   and internal and external link handling for collection documents
-
-   Revision 1.18  1999/09/22 03:43:18  sjboddie
-   Endresults queryfilter option may now take '-1' for 'all'
-
-   Revision 1.17  1999/09/21 12:01:07  sjboddie
-   added Maxdocs queryfilter option (which may be -1 for 'all')
-
-   Revision 1.16  1999/09/07 04:57:24  sjboddie
-   added gpl notice
-
-   Revision 1.15  1999/08/31 22:47:09  rjmcnab
-   Added matchmode option for some and all.
-
-   Revision 1.14  1999/07/16 03:42:21  sjboddie
-   changed isApprox
-
-   Revision 1.13  1999/07/16 00:17:06  sjboddie
-   got using phrasesearch for post-processing
-
-   Revision 1.12  1999/07/09 02:19:43  rjmcnab
-   Fixed a couple of compiler conflicts
-
-   Revision 1.11  1999/07/08 20:49:44  rjmcnab
-   Added result_num to the ResultDocInto_t structure.
-
-   Revision 1.10  1999/07/07 06:19:46  rjmcnab
-   Added ability to combine two or more independant queries.
-
-   Revision 1.9  1999/07/01 09:29:20  rjmcnab
-   Changes for better reporting of number documents which match a query. Changes
-   should still work as before with older versions of mg.
-
-   Revision 1.8  1999/07/01 03:59:54  rjmcnab
-   reduced MAXDOCS to 200 (more reasonable ???). I also added a virtual
-   method for post-processing the query.
-
-   Revision 1.7  1999/06/30 04:04:13  rjmcnab
-   made stemming functions available from mgsearch and made the stems
-   for the query terms available in queryinfo
-
-   Revision 1.6  1999/06/29 22:06:23  rjmcnab
-   Added a couple of fields to queryinfo to handle a special version
-   of mg.
-
-   Revision 1.5  1999/06/27 22:08:48  sjboddie
-   now check for defaultindex, defaultsubcollection, and defaultlanguage
-   entries in config files
-
-   Revision 1.4  1999/06/16 02:03:25  sjboddie
-   fixed bug in isApprox and set MAXDOCS to always be 500
-
-   Revision 1.3  1999/04/19 23:56:09  rjmcnab
-   Finished the gdbm metadata stuff
-
-   Revision 1.2  1999/04/12 03:45:03  rjmcnab
-   Finished the query filter.
-
-   Revision 1.1  1999/04/06 22:22:09  rjmcnab
-   Initial revision.
-
- */
-
 
 #include "queryfilter.h"
Index: /trunk/gsdl/src/colservr/queryfilter.h
===================================================================
--- /trunk/gsdl/src/colservr/queryfilter.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/queryfilter.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/queryinfo.cpp
===================================================================
--- /trunk/gsdl/src/colservr/queryinfo.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/queryinfo.cpp	(revision 1285)
@@ -22,54 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.12  1999/09/07 04:57:24  sjboddie
-   added gpl notice
-
-   Revision 1.11  1999/08/31 22:47:57  rjmcnab
-   Added MatchMode.
-
-   Revision 1.10  1999/07/16 03:42:23  sjboddie
-   changed isApprox
-
-   Revision 1.9  1999/07/16 00:14:01  sjboddie
-   added termfreqclassarray type
-
-   Revision 1.8  1999/07/09 02:19:44  rjmcnab
-   Fixed a couple of compiler conflicts
-
-   Revision 1.7  1999/07/07 06:19:47  rjmcnab
-   Added ability to combine two or more independant queries.
-
-   Revision 1.6  1999/07/01 09:29:21  rjmcnab
-   Changes for better reporting of number documents which match a query. Changes
-   should still work as before with older versions of mg.
-
-   Revision 1.5  1999/07/01 03:56:17  rjmcnab
-   Added a set of utf8 encoded equivalent terms of a query term. I also
-   added a flag for handling post-processing of the query.
-
-   Revision 1.4  1999/06/30 04:04:13  rjmcnab
-   made stemming functions available from mgsearch and made the stems
-   for the query terms available in queryinfo
-
-   Revision 1.3  1999/06/29 22:06:23  rjmcnab
-   Added a couple of fields to queryinfo to handle a special version
-   of mg.
-
-   Revision 1.2  1999/01/12 01:51:02  rjmcnab
-
-   Standard header.
-
-   Revision 1.1  1999/01/08 09:02:18  rjmcnab
-
-   Moved from src/library.
-
- */
-
 
 #include "queryinfo.h"
Index: /trunk/gsdl/src/colservr/queryinfo.h
===================================================================
--- /trunk/gsdl/src/colservr/queryinfo.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/queryinfo.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
Index: /trunk/gsdl/src/colservr/source.cpp
===================================================================
--- /trunk/gsdl/src/colservr/source.cpp	(revision 1284)
+++ /trunk/gsdl/src/colservr/source.cpp	(revision 1285)
@@ -22,39 +22,5 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
- * $Id$
- *
  *********************************************************************/
-
-/*
-   $Log$
-   Revision 1.8  1999/10/10 08:20:36  sjboddie
-   - metadata now returns map rather than array
-   - redesigned browsing support (although it's not finished so
-   won't currently work ;-)
-
-   Revision 1.7  1999/09/07 04:57:25  sjboddie
-   added gpl notice
-
-   Revision 1.6  1999/08/31 22:49:01  rjmcnab
-   Changes for AIX.
-
-   Revision 1.5  1999/06/16 02:00:33  sjboddie
-   Few changes to get getParent filter option to return metadata of
-   parents as well as current OID
-
-   Revision 1.4  1999/05/10 03:43:49  sjboddie
-   lots of changes to lots of files - getting document action going
-
-   Revision 1.3  1999/04/30 02:00:48  sjboddie
-   lots of stuff to do with getting documentaction working
-
-   Revision 1.2  1999/04/06 22:20:32  rjmcnab
-   Got browsefilter working.
-
-   Revision 1.1  1999/03/31 23:43:40  rjmcnab
-   Initial revision
-
- */
-
 
 #include "source.h"
Index: /trunk/gsdl/src/colservr/source.h
===================================================================
--- /trunk/gsdl/src/colservr/source.h	(revision 1284)
+++ /trunk/gsdl/src/colservr/source.h	(revision 1285)
@@ -21,6 +21,4 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *
- * $Id$
  *
  *********************************************************************/
